onEvent('chest.loot_tables', event => {
	event.modify('minecraft:village/village_armorer', table => {
		table.pool(pool => {
    pool.rolls = 2
	Ingredient.of([
	'/tconstruct:.+_ingot/', '/mysticalworld:.+_ingot/', '/immersiveengineering:.+_ingot/'
	]).filter(Ingredient.of([
	'#tconstruct:tanks', '#tconstruct:casts', 'immersiveengineering:ingot_uranium', 'immersiveengineering:ingot_hop_graphite', 'tconstruct:cobalt_ingot', 'tconstruct:slimesteel_ingot', 'tconstruct:queens_slime_ingot', 'tconstruct:manyullyn_ingot', 'tconstruct:hepatizon_ingot'
	]).not()).stacks.forEach(stack => {
            pool.addEntry({
              "type": "minecraft:item",
			  "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 2.0,
                "max": 5.0,
                "type": "minecraft:uniform"
              }
            }
          ],
              "name": stack.id
            })
		})
	})
	})
})